%define major     3
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           xdotool
Version:        3.20160805.1
Release:        %mkrel 1
Summary:        Fake keyboard/mouse input, window management, and more
License:        BSD
Group:          Toys
URL:            http://www.semicomplete.com/projects/xdotool
Source0:        https://github.com/jordansissel/xdotool/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-3.20160805.1-makefile.patch

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xinerama)


%description
This tool lets you simulate keyboard input and mouse activity, move and resize
windows, etc. It does this using X11's XTEST extension and other Xlib
functions.

Additionally, you can search for windows and move, resize, hide, and modify
window properties like the title. If your window manager supports it, you can
use xdotool to switch desktops, move windows between desktops, and change the
number of desktops. 


%package -n %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries


%description -n %{libname}
This package contains libraries for %{name}.


%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}


%description -n %{develname}
This package contains development files for %{name}.


%prep
%setup -q

#disable tests (it requires Gnome), fix linking
%autopatch -p1

%build
%setup_compile_flags
%make_build

%install
%make_install \
    PREFIX=%{_prefix} \
    INSTALLMAN=%{_mandir} \
    INSTALLLIB=%{_libdir}


%files
%doc COPYRIGHT README VERSION CHANGELIST
%{_bindir}/xdotool
%{_mandir}/man1/xdotool.1*

%files -n %{libname}
%{_libdir}/libxdo.so.%{major}

%files -n %{develname}
%{_libdir}/libxdo.so
%{_includedir}/xdo.h



%changelog
* Mon Feb 13 2017 daviddavid <daviddavid> 3.20160805.1-1.mga6
+ Revision: 1086095
- new version: 3.20160805.1
- now libmajor is 3
- rename and rebase makefile patch
- switch BRs to pkgconfig()

* Tue Feb 02 2016 umeabot <umeabot> 2.20110530.1-9.mga6
+ Revision: 932316
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.20110530.1-8.mga5
+ Revision: 750712
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20110530.1-7.mga5
+ Revision: 690583
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.20110530.1-6.mga4
+ Revision: 520511
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.20110530.1-5.mga3
+ Revision: 386727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 2.20110530.1-4.mga3
+ Revision: 324897
- rebuild for Mga3 Beta1

* Sat Nov 26 2011 kamil <kamil> 2.20110530.1-3.mga2
+ Revision: 172000
- fix file permissions
- bump release to keep release higher then 1/updates
- more cleaning

* Thu Nov 17 2011 kamil <kamil> 2.20110530.1-1.mga2
+ Revision: 168522
- fixed tabs&spaces
- new version
- fixed missing build flags
- included missing docs
- cleaning
- imported package xdotool

